<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'faqs_category',

    /*
     * Modules.
     */
    'modules'   => ['faqs_categories'],

    
    'faqs_categories'       => [
        'model' => [
            'model'                 => \Litecms\FaqsCategory\Models\FaqsCategories::class,
            'table'                 => 'faqs_categories',
            'presenter'             => \Litecms\FaqsCategory\Repositories\Presenter\FaqsCategoriesPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['categroiesfaqs'],
            'translatables'         => [],
            'upload_folder'         => 'faqs_category/faqs_categories',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'FaqsCategory',
            'module'    => 'FaqsCategories',
        ],

    ],
];
