Lavalite package that provides faqs_category management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/faqs_category`.

    "litecms/faqs_category": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\FaqsCategory\Providers\FaqsCategoryServiceProvider::class,

And also add it to alias

    'FaqsCategory'  => Litecms\FaqsCategory\Facades\FaqsCategory::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\FaqsCategoryTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\FaqsCategory\Providers\FaqsCategoryServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\FaqsCategory\Providers\FaqsCategoryServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\FaqsCategory\Providers\FaqsCategoryServiceProvider" --tag="view"


## Usage


