<?php

namespace Litecms\FaqsCategory\Repositories\Eloquent;

use Litecms\FaqsCategory\Interfaces\FaqsCategoriesRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class FaqsCategoriesRepository extends BaseRepository implements FaqsCategoriesRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.faqs_category.faqs_categories.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.faqs_category.faqs_categories.model.model');
    }
}
